%global modulename node-gyp

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-node-gyp
Version:        3.8.0
Release:        1%{?dist}
Summary:        Node.js native addon build tool

License:        MIT
URL:            https://github.com/nodejs/node-gyp#readme
Source0:        https://registry.npmjs.org/node-gyp/-/node-gyp-3.8.0.tgz

Patch0: /tmp/tmp-26075NE943Bb41D58/npm2srpm-shebang-patch-0.patch
Patch1: /tmp/tmp-26075NE943Bb41D58/npm2srpm-shebang-patch-1.patch
Patch2: /tmp/tmp-26075NE943Bb41D58/npm2srpm-shebang-patch-2.patch
Patch3: /tmp/tmp-26075NE943Bb41D58/npm2srpm-shebang-patch-3.patch
Patch4: /tmp/tmp-26075NE943Bb41D58/npm2srpm-shebang-patch-4.patch
Patch5: /tmp/tmp-26075NE943Bb41D58/npm2srpm-shebang-patch-5.patch
Patch6: /tmp/tmp-26075NE943Bb41D58/npm2srpm-shebang-patch-6.patch
Patch7: /tmp/tmp-26075NE943Bb41D58/npm2srpm-shebang-patch-7.patch
Patch8: /tmp/tmp-26075NE943Bb41D58/npm2srpm-shebang-patch-8.patch
Patch9: /tmp/tmp-26075NE943Bb41D58/npm2srpm-shebang-patch-9.patch
Patch10: /tmp/tmp-26075NE943Bb41D58/npm2srpm-shebang-patch-10.patch
Patch11: /tmp/tmp-26075NE943Bb41D58/npm2srpm-shebang-patch-11.patch
Patch12: /tmp/tmp-26075NE943Bb41D58/npm2srpm-shebang-patch-12.patch
Patch13: /tmp/tmp-26075NE943Bb41D58/npm2srpm-shebang-patch-13.patch
Patch14: /tmp/tmp-26075NE943Bb41D58/npm2srpm-shebang-patch-14.patch
Patch15: /tmp/tmp-26075NE943Bb41D58/npm2srpm-shebang-patch-15.patch
Patch16: /tmp/tmp-26075NE943Bb41D58/npm2srpm-shebang-patch-16.patch
Patch17: /tmp/tmp-26075NE943Bb41D58/npm2srpm-shebang-patch-17.patch

BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(fstream) >= 1.0.0 with npmlib(fstream) < 2.0.0))
BuildRequires:  ((npmlib(glob) >= 7.0.3 with npmlib(glob) < 8.0.0))
BuildRequires:  ((npmlib(graceful-fs) >= 4.1.2 with npmlib(graceful-fs) < 5.0.0))
BuildRequires:  ((npmlib(mkdirp) >= 0.5.0 with npmlib(mkdirp) < 0.6.0))
BuildRequires:  ((npmlib(nopt) >= 2.0.0 with npmlib(nopt) < 3.0.0) or (npmlib(nopt) >= 3.0.0 with npmlib(nopt) < 4.0.0))
BuildRequires:  ((npmlib(npmlog) >= 0.0.0 with npmlib(npmlog) < 1.0.0) or (npmlib(npmlog) >= 1.0.0 with npmlib(npmlog) < 2.0.0) or (npmlib(npmlog) >= 2.0.0 with npmlib(npmlog) < 3.0.0) or (npmlib(npmlog) >= 3.0.0 with npmlib(npmlog) < 4.0.0) or (npmlib(npmlog) >= 4.0.0 with npmlib(npmlog) < 5.0.0))
BuildRequires:  ((npmlib(osenv) >= 0.0.0 with npmlib(osenv) < 1.0.0))
BuildRequires:  ((npmlib(request) >= 2.87.0 with npmlib(request) < 3.0.0))
BuildRequires:  ((npmlib(rimraf) >= 2.0.0 with npmlib(rimraf) < 3.0.0))
BuildRequires:  ((npmlib(semver) >= 5.3.0 with npmlib(semver) < 5.4.0))
BuildRequires:  ((npmlib(tar) >= 2.0.0 with npmlib(tar) < 3.0.0))
BuildRequires:  ((npmlib(which) >= 1.0.0 with npmlib(which) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Node.js native addon build tool

%package 3.8.0
Summary:        Node.js native addon build tool

Requires:       python2
Requires:       make
Requires:       gcc
Requires:       gcc-c++

%description 3.8.0
Node.js native addon build tool

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .github %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .jshintrc %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr addon.gypi %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr bin %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr gyp %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr src %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr tools %{buildroot}%{npmlib_dir}/%{modulename}/%{version}

mkdir -p %{buildroot}%{_bindir}
ln -s %{npmlib_dir}/%{modulename}/%{version}/bin/node-gyp.js %{buildroot}/%{_bindir}/node-gyp


mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc CONTRIBUTING.md
%doc README.md
%license LICENSE
%{_bindir}/node-gyp
%{nodejs_dir}/%{modulename}

%files 3.8.0
%doc CHANGELOG.md
%doc CONTRIBUTING.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Sat Nov 17 2018 npm2srpm <dshea@redhat.com> - 3.8.0-1
- Package automatically generated by npm2srpm
